# Class TruantTag

#### Hierarchy (view full)

- AbilityBattlerTag
  - TruantTag

- Defined in src/data/battler-tags.ts:1031

#####
Index

### Constructors

constructor

### Properties

ability
lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new TruantTag(): TruantTag

- #### Returns TruantTag

  Overrides AbilityBattlerTag.constructor

  - Defined in src/data/battler-tags.ts:1032

## Properties

### ability

ability: Abilities

Inherited from AbilityBattlerTag.ability

- Defined in src/data/battler-tags.ts:1013

### lapseType

lapseType: BattlerTagLapseType

Inherited from AbilityBattlerTag.lapseType

- Defined in src/data/battler-tags.ts:33

### `Optional` sourceId

sourceId?: number

Inherited from AbilityBattlerTag.sourceId

- Defined in src/data/battler-tags.ts:36

### sourceMove

sourceMove: Moves

Inherited from AbilityBattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:35

### tagType

tagType: BattlerTagType

Inherited from AbilityBattlerTag.tagType

- Defined in src/data/battler-tags.ts:32

### turnCount

turnCount: number

Inherited from AbilityBattlerTag.turnCount

- Defined in src/data/battler-tags.ts:34

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from AbilityBattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:46

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from AbilityBattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:60

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from AbilityBattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:68

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from AbilityBattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:64

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Overrides AbilityBattlerTag.lapse

  - Defined in src/data/battler-tags.ts:1036

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it.

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from AbilityBattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:1025

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from AbilityBattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:50

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from AbilityBattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:54

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from AbilityBattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:52